## Function `nearMoc( moc, ra, dec, distanceDeg )`

Description:
  Indicates whether a given sky position either falls within, or is within a certain distance of the edge of, a given MOC (Multi-Order Coverage map). If the given `moc` value does not represent a MOC (for instance no file exists or the file/string is not in MOC format) a warning will be issued the first time it's referenced, and the result will be false.

Parameters:
  `moc` (String)
    a MOC identifier; a filename, a URL, a VizieR table name, or an ASCII MOC string
  `ra` (floating point)
    ICRS right ascension in degrees
  `dec` (floating point)
    ICRS declination in degrees
  `distanceDeg` (floating point)
    permitted distance from MOC boundary in degrees

Return Value (boolean):
  true iff the given position is within `distance` degrees of the given MOC

Signature:
  `boolean nearMoc(String, double, double, double)`